import QtQuick 2.9
import QtQuick.Window 2.2

Rectangle {
    width: 200
    height: 100
    color:"red"
    scale: mouseArea.pressed ? 0.8: 1
    property alias rectangleText: textItem.text
    
    Text{
        id: textItem        
        anchors.centerIn: parent
        font.pix
    }
    
    Text{
        id: answerFromBL
        text: bl.customerName
    }
    
    MouseArea
    {
        id: mouseArea
        anchors.fill: parent
        
        onClicked: {
            bl.processingInBusinessLogic()
        }
        
    }
    
}
