#include <QGuiApplication>
#include <QQmlApplicationEngine>
#include <QQmlContext>
#include "mybusinesslogic.h"

int main(int argc, char *argv[])
{
    QCoreApplication::setAttribute(Qt::AA_EnableHighDpiScaling);
    QGuiApplication app(argc, argv);


    MyBusinessLogic businessLogic;

    QQmlApplicationEngine engine;

    engine.rootContext()->setContextProperty("bl", &businessLogic);
    engine.load( "qrc:/main.qml" );

    return app.exec();
}
