#include "mybusinesslogic.h"
#include <QDebug>

MyBusinessLogic::MyBusinessLogic(QObject *parent) : QObject(parent)
{

}

QString MyBusinessLogic::customerName() const
{
    return m_customerName;
}

int MyBusinessLogic::custId() const
{
    return m_custId;
}

void MyBusinessLogic::processingInBusinessLogic()
{
    qDebug() << "Processing Business Logic";
    setcustomerName("Message from business logic");
}

void MyBusinessLogic::setcustomerName(QString customerName)
{
    if (m_customerName == customerName)
        return;

    m_customerName = customerName;
    emit customerNameChanged(m_customerName);
}

void MyBusinessLogic::setCustId(int custId)
{
    if (m_custId == custId)
        return;

    m_custId = custId;
    emit custIdChanged(m_custId);
}
